Subject: Re: [bug#70393] [PATCH] gnu: python-pydevd: Use gdb/pinned.

From: Ludovic Courtès <[email-masked]>
Date: Wed, 01 May 2024 11:53:10 +0200

Hi,

Lars-Dominik Braun <[email-masked]> skribis:

>> > If PyDev uses GDB, then it’ll be stuck with an older version of GDB?
>> > Maybe that’s OK?  (I know nothing about PyDev and how it uses GDB so I
>> > can’t really judge whether it’s OK.)
>> 
>> I don't really know either, but at least this will allow updating gdb
>> without rebuilding a bunch of Python things.
>
> I don’t see anything that would prevent pydevd running on a pinned/older
> GDB version. We might want to verify when we update python-pydevd, but
> right now it just attaches to the process and injects a shared object
> – that’s all. So, LGTM.

OK, thanks for checking.  Go for it, Chris!

Ludo’.